# ServiceNow Widget

Paste the following code into the **Widget Configuration** field if you're using a ServiceNow data source with Agent Assist.&#x20;

## Setting the Widget Configuration Field&#x20;

Make sure the `"name":"summary_gpt",` `"title":"Summary"`, `"title":"Aisera Answer",` `"title":"Next Best Action"`, `"name":"predictions",` `"name":assistant"`, and `"name":"aisera assistance"`   fields are set to `"enabled": true`.&#x20;

Make sure `"title": "Case WrapUp"` is set to `"enabled":false`.

<pre><code><strong>{
</strong>   "sections": [
      {
         "name": "top",
         "sections": []
      },
      {
         "name": "main",
         "layout": "tabs",
         "sections": [
            {
               "name": "resolution",
               "enabled": true,
               "sections": [
                  {
                     "name": "summary_gpt",
                     "enabled": true,
                     "config": {
                        "caseSummary": {
                           "title": "Summary",
                           "enabled": true,
                           "defaultCollapse": false,
                           "actions": {
                              "showCopy": true,
                              "showFeedback": true,
                              "allowAdditionalFeedbackReason": true,
                              "select": [
                                 {
                                    "label": "Please select a reason the Case Summary was not helpful.",
                                    "options": [
                                       {
                                          "label": "Irrelevant Case Comments",
                                          "id": "IrrelevantCaseComments"
                                       },
                                       {
                                       
                                          "label": "Missing Important Case Details",
                                          "id": "MissingImportantCaseDetails"
                                       },
                                       {
                                          "label
                                    ]
                                 }
                              ]
                           }
                        },
                        "aiseraAnswer": {
                           "title": "Aisera Answer",
                           "enabled": true,
                           "defaultCollapse": false,
                           "actions": {
                              "showCopy": true,
                              "showFeedback": true,
                              "allowAdditionalFeedbackReason": true,
                              "select": [
                                 {
                                    "label": "Please select a reason the Answer was not helpful.",
                                    "options": [
                                       {
                                          "label": "Partially Correct",
                                          "id": "PartiallyCorrect"
                                       },
                                       {
                                          "label": "User Already Attempted",
                                          "id": "UserAlreadyAttempted"
                                       },
                                       {
                                          "label": "Too General/Vague",
                                          "id"
                                 }
                              ]
                           }
                        },
                        "nextBestAction": {
                           "title": "Next Best Action",
                           "enabled": true,
                           "defaultCollapse": false,
                           "actions": {
                              "showCopy": true,
                              "showFeedback": true,
                              "allowAdditionalFeedbackReason": true,
                              "select": [
                                 {
                                    "label": "Please select a reason the NBA was not helpful.",
                                    "options": [
                                       {
                                          "label": "Partially Correct",
                                          "id": "PartiallyCorrect"
                                       },
                                       {
                                          "label": "User Already Attempted",
                                          "id": "UserAlreadyAttempted"
                                       },
                                       {
                                          "label": "Too General/Vague",
                                          "id": "TooGeneral"
                                       }
                                    ]
                                 }
                              ]
                           }
                        },
                        "caseWrapUp": {
                           "title": "Case WrapUp",
                           "enabled": false,
                           "defaultCollapse": false,
                           "actions": {
                              "showCopy": true,
                              "showFeedback": true
                           }
                        },
                        "userInsights": {
                           "title": "User insights",
                           "enabled": false
                        }
                     }
                  },
                  {
                     "name": "predictions",
                     "enabled": true,
                     "title": "Field Predictions",
                     "config": {
                        "colors": {
                           "success": "green",
                           "warning": "yellow",
                           "error": "error"
                        },
                        "excludeFields": []
                     }
                  }
               ]
            },
            {
               "name": "assistant",
               "enabled": true,
               "sections": [
                  {
                     "name": "aisera_assistance",
                     "enabled": true,
                     
                        "skip": 0
                     }
                  }
               ]
            }
         ]
      },
      {
         "name": "bottom",
         "sections": []
      }
   ]
}

</code></pre>

***

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aisera.com/agent-assist/adding-the-ticket-ai-agent-assist-channel/agent-assist-widget-configuration/servicenow-widget.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
